LINUX.ORG.RU

Chromium / Chrome прекращает поддержку ядер старее 3.17

 ,


1

2

Разработчики сообщили, что Chrome и Chromium, начиная с версии 41 не смогут полноценно работать с ядрами, более старыми, чем ядро Linux 3.17. Причина этому — отсутствие флага SECCOMP_FILTER_FLAG_TSYNC, необходимого для работы «песочницы» браузера.

Некоторые (но не все) дистрибутивы осуществили самостоятельно бэкпортирование необходимых патчей в используемое ядро. Разработчики Chrome не собираются исправлять проблему самостоятельно, но готовы принять сторонние патчи.

Работоспособность браузера на неподдерживаемых ядрах, в целом, сохранится, но будет ограничена невозможностью установки дополнений и браузерных приложений.

>>> Подробности

anonymous

Проверено: mono ()

НЕНУЖНО прекращает поддержку ядер старее 3.17
Давно этого ждал.
Оно кстати без systemd ещё запускается?

mittorn ★★★★★ ()
Ответ на: комментарий от Valdor

Счастливые владельцы принтеров от canon. Я не из них, но видел у знакомого в гостях. Проверил - capt-паковщик только под xp i386, так что актуальная выньда даже по сети на нём не может печатать

mittorn ★★★★★ ()

GoogleKurva. Чего-то они совсем долбанулись в последнее время. Близость мирового господства башню снесла.

user42 ★★ ()

Печаль беда.

$ lsb_release -a && uname -r
No LSB modules are available.
Distributor ID: Ubuntu
Description:    Ubuntu 14.04.2 LTS
Release:        14.04
Codename:       trusty
3.13.0-46-generic

Kilte ★★★★★ ()

На 3.10 el7 не взлетит? Забью и на них, если они не думают о пользователях. Вероятно истинная причина в другом - косячки с рекламой.

andrew667 ★★★★★ ()

3.17

Подавился чаем.

Myau ★★★★ ()

Что-то я не осилил.

uname -r

3.16.0-4-amd64

google-chrome --version

Google Chrome 41.0.2272.76

Дополнения и приложения работают.

SaBo ★★ ()

Совсем не думают об ынтырпрайзе. Хотя, если

Работоспособность браузера на неподдерживаемых ядрах, в целом, сохранится

то ничего страшного.

Klymedy ★★★★★ ()
Ответ на: комментарий от SilentLexx

Вчера только обновлялся, да и сейчас проверил, обновлений нет. У меня же Kubuntu, потому и запаздывает наверное.

Kilte ★★★★★ ()
Ответ на: комментарий от SaBo

Что-то я не осилил.

Понял, новости надо на opennet'e читать.

Например, TSYNC поддерживается в ядре 3.16 из состава Ubuntu 14.10, но отсутствует в выпусках с длительным сроком поддержки. Разработчики проекта Debian подготовили патч, реализующий SECCOMP_FILTER_FLAG_TSYNC для ядра 3.16 из Debian 8 «jessie». Поддержка TSYNC также бэкпортирована для ядер 3.14, 3.10, 3.8 и 3.4, используемых в Ubuntu 14.04, Android и Chrome OS.

SaBo ★★ ()

Да какими веществами они там упарываются, что браузер зависит от ядра?! stdlibc еще понятно, но это.

Да там еще и баг с установкой дополнений. Лень читать сегодня, но стало интересно, каким боком им ядро мешает?

KennyMinigun ★★★★★ ()
Последнее исправление: KennyMinigun (всего исправлений: 1)
Ответ на: комментарий от Kilte

У SilentLexx ядро 3.19.0-pf1, «pf» это патчсет от PostFactum, так-что едва-ли это ядро из официальных реп.
Ну а вообще разрабы ubuntu вполне могут осилить бэкпортировать нужные фичи для LTS.

MrClon ★★★★★ ()
Ответ на: комментарий от MrClon

походу и дебиановцам придётся бэкпортить нужные фичи в своё ядро.

Примадонна, который типа поддерживает ядро в Дебиане, уже отказался это делать.

tailgunner ★★★★★ ()
Ответ на: комментарий от SilentLexx

Чего не могу сказать о своем компе.
На хосте ALT Linux p7:
Linux 3.14.34-std-def-alt1

Поставил в виртуалку поностальгировать/поразмышлять о целесообразности возвращения openSUSE 13.2:
Linux 3.16.7-7-desktop

Я, конечно, не знаю, насколько эти ядра отличаются от ванильных и как там с патчами, но...

PVOzerski ★★★ ()

Linux UBUNTU-PC 3.16.0-31-generic #41~14.04.1-Ubuntu SMP Wed Feb 11 19:30:13 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

Ну чо, круто то как. А я сижу тут примус с убунтой починяю...

Deleted ()
Ответ на: комментарий от tailgunner

Примадонна, который типа поддерживает ядро в Дебиане, уже отказался это делать.

Подробнее. Денег за это ему/сообществу предлагали из гугла?

andrew667 ★★★★★ ()
Ответ на: комментарий от tailgunner

Что заставило тебя так подумать?

Прагматизм. В гугле должны сидеть не идиоты, и давать трезвую оценку своим решениям, иначе им покажут средний палец.

andrew667 ★★★★★ ()

Для чего используется эта т.н. песочница, только плагинов или чего-то ещё?

Deleted ()
Ответ на: комментарий от andrew667

В гугле должны сидеть не идиоты, и давать трезвую оценку своим решениям

Я думаю, они его оценили. Из Linux-based Гуглу важны ChromeOS и Андроид. Остальное пофиг. В конце концов, они не запрещают переносить патчи между ядрами.

tailgunner ★★★★★ ()
Последнее исправление: tailgunner (всего исправлений: 1)
Ответ на: комментарий от post-factum

Ну звиняй, лень было искать как точно твой ник пишется.

MrClon ★★★★★ ()
Ответ на: комментарий от mono

У меня хоть постарее, но тоже пофиг.

Линуксо-проблемы :))))))

bookman900 ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.